
Infrastructure - Bug #2610

Object list can be retrieved but not resolved

2012-04-16 18:47 - Dave Vieglais

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

Attempting to resolve the object list fails with a 500 error, e.g.: 

https://cn-sandbox.dataone.org/cn/v1/resolve/OBJECT_FORMAT_LIST.1.1

but system metadata and the object can be retrieved as expected. Should also be resolvable for consistency.

History

#1 - 2012-04-20 13:14 - Robert Waltz

Object List is not a DataONE data object. It is a type of DataONE SystemMeta

#2 - 2012-04-20 13:22 - Dave Vieglais

In that case, then it should probably not appear in listObjects

#3 - 2012-05-30 18:47 - Robert Waltz

The object Format list should not be listed as an object. It is not a sci meta or sci data object. It is Dataone Metadata and therefore should not have a

systemmetadata entry. 

The resolution should be to move the list out of metacat. We should create an LDAP structure to persist and change the object format list.

#4 - 2012-06-19 20:13 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.1

#5 - 2012-09-26 18:30 - Robert Waltz

- Milestone changed from CCI-1.1 to None

#6 - 2014-07-30 03:13 - Robert Waltz

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

- Start date deleted (2012-04-16)

Operationally the Object List works as it was designed.
